POST api/contractapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

ContractViewModel
NameDescriptionTypeAdditional information
selected_nameplate_id

globally unique identifier

None.

selected_sticker_id

globally unique identifier

None.

washing_processes

Collection of WashingProcessViewModel

None.

active

boolean

Required

certificate_type_id

globally unique identifier

Required

code

integer

None.

delay_between_scans

integer

None.

id

globally unique identifier

None.

internal_reference

string

String length: inclusive between 0 and 50

item_wash_max

integer

None.

language_code

string

Required

String length: inclusive between 0 and 10

name

string

Required

String length: inclusive between 0 and 100

packaging_type_id

globally unique identifier

Required

packing_type_id

globally unique identifier

Required

particles_control

boolean

Required

peremption_month

integer

None.

peremption_print_cleanroom

boolean

Required

peremption_print_date

boolean

Required

peremption_print_expedition

boolean

Required

permanent_management

boolean

Required

pool_id

globally unique identifier

None.

remark

string

None.

site_customer_id

globally unique identifier

Required

sorting_type_id

globally unique identifier

Required

type

string

Required

String length: inclusive between 0 and 1

Request Formats

application/json, text/json

Sample:
{
  "selected_nameplate_id": "3dda8103-7f61-4068-9d4d-3511a5fab4cc",
  "selected_sticker_id": "8b3a11af-79f2-4092-9c5d-bd67a8f4d515",
  "washing_processes": [
    {
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "active": true,
      "code": "sample string 2",
      "id": "3a89011c-2c56-4007-95b0-da7f09fdb312",
      "site_id": "41bac6ff-6519-461f-a94f-05f4c68c6cd5"
    },
    {
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "active": true,
      "code": "sample string 2",
      "id": "3a89011c-2c56-4007-95b0-da7f09fdb312",
      "site_id": "41bac6ff-6519-461f-a94f-05f4c68c6cd5"
    }
  ],
  "active": true,
  "certificate_type_id": "78722009-c695-4155-90b3-5a756ccee4f0",
  "code": 1,
  "delay_between_scans": 1,
  "id": "fe4814e7-b52e-440b-ac9b-589ef66ce639",
  "internal_reference": "sample string 4",
  "item_wash_max": 1,
  "language_code": "sample string 5",
  "name": "sample string 6",
  "packaging_type_id": "8ad7c142-3193-43e5-809b-681def0ad353",
  "packing_type_id": "a14c5586-97e7-4136-9a12-99beaf6f0040",
  "particles_control": true,
  "peremption_month": 1,
  "peremption_print_cleanroom": true,
  "peremption_print_date": true,
  "peremption_print_expedition": true,
  "permanent_management": true,
  "pool_id": "612e93a4-6a73-45ab-9531-3fdf94fc15a5",
  "remark": "sample string 14",
  "site_customer_id": "ec388732-926c-4670-967f-2abf2a9cd8b0",
  "sorting_type_id": "f382a684-7cb5-42fc-8421-c6ac2023e32e",
  "type": "sample string 17"
}

application/xml, text/xml

Sample:
<contract xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <certificate_type_id>78722009-c695-4155-90b3-5a756ccee4f0</certificate_type_id>
  <code>1</code>
  <delay_between_scans>1</delay_between_scans>
  <id>fe4814e7-b52e-440b-ac9b-589ef66ce639</id>
  <internal_reference>sample string 4</internal_reference>
  <item_wash_max>1</item_wash_max>
  <language_code>sample string 5</language_code>
  <name>sample string 6</name>
  <packaging_type_id>8ad7c142-3193-43e5-809b-681def0ad353</packaging_type_id>
  <packing_type_id>a14c5586-97e7-4136-9a12-99beaf6f0040</packing_type_id>
  <particles_control>true</particles_control>
  <peremption_month>1</peremption_month>
  <peremption_print_cleanroom>true</peremption_print_cleanroom>
  <peremption_print_date>true</peremption_print_date>
  <peremption_print_expedition>true</peremption_print_expedition>
  <permanent_management>true</permanent_management>
  <pool_id>612e93a4-6a73-45ab-9531-3fdf94fc15a5</pool_id>
  <remark>sample string 14</remark>
  <site_customer_id>ec388732-926c-4670-967f-2abf2a9cd8b0</site_customer_id>
  <sorting_type_id>f382a684-7cb5-42fc-8421-c6ac2023e32e</sorting_type_id>
  <type>sample string 17</type>
  <selected_nameplate_id>3dda8103-7f61-4068-9d4d-3511a5fab4cc</selected_nameplate_id>
  <selected_sticker_id>8b3a11af-79f2-4092-9c5d-bd67a8f4d515</selected_sticker_id>
  <washing_processes>
    <washing_process>
      <active>true</active>
      <code>sample string 2</code>
      <id>3a89011c-2c56-4007-95b0-da7f09fdb312</id>
      <site_id>41bac6ff-6519-461f-a94f-05f4c68c6cd5</site_id>
      <descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 1</d4p1:Key>
          <d4p1:Value>sample string 2</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 3</d4p1:Key>
          <d4p1:Value>sample string 4</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
      </descriptions>
    </washing_process>
    <washing_process>
      <active>true</active>
      <code>sample string 2</code>
      <id>3a89011c-2c56-4007-95b0-da7f09fdb312</id>
      <site_id>41bac6ff-6519-461f-a94f-05f4c68c6cd5</site_id>
      <descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 1</d4p1:Key>
          <d4p1:Value>sample string 2</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 3</d4p1:Key>
          <d4p1:Value>sample string 4</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
      </descriptions>
    </washing_process>
  </washing_processes>
</contract>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"fe9367fc-624f-4b5c-96e7-fda7916458d4"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">fe9367fc-624f-4b5c-96e7-fda7916458d4</guid>